@font-face {
	font-family: 'local noto sans jp';
	src: local('noto sans jp');
}

.micron-resources-filter {
	padding-inline: 24px;
	background-color: #293855;
}

.micron-resources-filter .micron-resources-filter-inner {
	margin-inline: auto;
	background-color: #fff;
	max-width: 1280px;
}

.micron-resources-filter .micron-resources-filter-lead {
	font-weight: 700;
}

.micron-resources-filter .micron-resources-filter-form fieldset {
	margin-inline: 0;
	padding-block: 0;
	padding-inline: 0;
	border: 0;
}

.micron-resources-filter .micron-resources-filter-form fieldset .micron-resources-filter-fieldset-content {
	display: flex;
	flex-wrap: wrap;
	gap: 8px 16px;
}

.micron-resources-filter .micron-resources-filter-form fieldset legend {
	display: grid;
	grid-template-columns: auto 1fr;
	align-items: center;
	-moz-column-gap: 24px;
	column-gap: 24px;
	width: 100%;
	font-weight: 700;
}

.micron-resources-filter .micron-resources-filter-form fieldset legend::after {
	content: '';
	height: 1px;
	background-color: #293855;
}

.micron-resources-filter .micron-resources-filter-form fieldset label {
	display: grid;
	grid-template-columns: 24px 1fr;
	align-items: center;
	-moz-column-gap: 8px;
	column-gap: 8px;
	cursor: pointer;
}

.micron-resources-filter .micron-resources-filter-form fieldset label input[type='checkbox'] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	margin: 0;
	border-radius: 0;
	width: 24px;
	height: 24px;
	line-height: 1.3888888889;
	background-color: #fff;
	font-size: 1.125rem;
	position: relative;
	cursor: pointer;
}

.micron-resources-filter .micron-resources-filter-form fieldset label input[type='checkbox']::before {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 1;
	background-color: #ececec;
	-webkit-mask-image: url(../images/icon/checkbox.svg);
	mask-image: url(../images/icon/checkbox.svg);
	-webkit-mask-size: contain;
	mask-size: contain;
	-webkit-mask-position: center;
	mask-position: center;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.micron-resources-filter .micron-resources-filter-form fieldset label input[type='checkbox']:checked::before {
	background-color: #333;
	-webkit-mask-image: url(../images/icon/checkbox-checked.svg);
	mask-image: url(../images/icon/checkbox-checked.svg);
}

.micron-resources-items {
	margin-block: 0;
	padding-block: 16px;
	padding-inline-start: 0;
	display: grid;
	gap: 24px;
	list-style-type: '';
}

.micron-resources-items > li > a {
	display: flex;
	flex-direction: column;
	height: 100%;
	color: #333;
	background-color: #fff;
}

.micron-resources-items > li > a .micron-resource-item-image {
	position: relative;
	z-index: 1;
}

.micron-resources-items > li > a .micron-resource-item-image > img {
	position: relative;
	z-index: 1;
}

.micron-resources-items > li > a .micron-resource-item-image::after {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 1;
	background-color: #fff;
	opacity: 0;
	transition: opacity 300ms ease;
}

.micron-resources-items > li > a .micron-resource-item-content {
	flex-grow: 1;
	padding: 24px;
	display: flex;
	flex-direction: column;
}

.micron-resources-items > li > a .micron-resource-item-content .micron-resource-item-title {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	line-height: 1.3888888889;
	font-weight: 700;
	font-size: 1.125rem;
	text-overflow: ellipsis;
	overflow: hidden;
}

.micron-resources-items > li > a .micron-resource-item-content .micron-resource-item-taxonomies {
	margin-block-start: auto;
	padding-block-start: 16px;
	padding-inline-start: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
}

.micron-resources-items > li > a .micron-resource-item-content .micron-resource-item-taxonomies > li {
	list-style-type: '';
	padding-block: 3px;
	padding-inline: 15px;
	border: 1px solid currentcolor;
	border-radius: 4em;
	line-height: 1.6;
	color: #293855;
	background: #fff;
	font-weight: 700;
	font-size: 0.625rem;
}

.micron-resources-items > li > a:hover,
.micron-resources-items > li > a:active,
.micron-resources-items > li > a:focus-visible {
	color: #005baa;
}

.micron-resources-items > li > a:hover .micron-resources-image::after,
.micron-resources-items > li > a:active .micron-resources-image::after,
.micron-resources-items > li > a:focus-visible .micron-resources-image::after {
	opacity: 0.2;
}

@media screen and (max-width: 1024px) {

	.micron-resources-filter {
		padding-block: 24px;
	}

	.micron-resources-filter .micron-resources-filter-inner {
		padding: 24px;
	}

	.micron-resources-filter .micron-resources-filter-lead {
		margin-block-end: 24px;
		line-height: 1.4090909091;
		font-size: 1.375rem;
	}

	.micron-resources-filter .micron-resources-filter-form {
		display: grid;
		gap: 24px;
	}

	.micron-resources-filter .micron-resources-filter-form fieldset legend {
		margin-block-end: 16px;
		line-height: 1.375;
		font-size: 1rem;
	}

	.micron-resources-title {
		margin-block-end: 32px;
		line-height: 1.4090909091;
		font-size: 1.375rem;
	}
}

@media screen and (min-width: 1025px) {

	.micron-resources-filter {
		padding-block: 64px;
	}

	.micron-resources-filter .micron-resources-filter-inner {
		padding: 40px;
	}

	.micron-resources-filter .micron-resources-filter-lead {
		margin-block-end: 16px;
		line-height: 1.4166666667;
		font-size: 1.5rem;
	}

	.micron-resources-filter .micron-resources-filter-form {
		display: grid;
		gap: 16px;
	}

	.micron-resources-filter .micron-resources-filter-form fieldset legend {
		margin-block-end: 8px;
		line-height: 1.3888888889;
		font-size: 1.125rem;
	}

	.micron-resources-title {
		margin-block-end: 24px;
		line-height: 1.4166666667;
		font-size: 1.5rem;
	}
}

@media print {

	.micron-resources-filter {
		padding-block: 64px;
	}

	.micron-resources-filter .micron-resources-filter-inner {
		padding: 40px;
	}

	.micron-resources-filter .micron-resources-filter-lead {
		margin-block-end: 16px;
		line-height: 1.4166666667;
		font-size: 1.5rem;
	}

	.micron-resources-filter .micron-resources-filter-form {
		display: grid;
		gap: 16px;
	}

	.micron-resources-filter .micron-resources-filter-form fieldset legend {
		margin-block-end: 8px;
		line-height: 1.3888888889;
		font-size: 1.125rem;
	}

	.micron-resources-title {
		margin-block-end: 24px;
		line-height: 1.4166666667;
		font-size: 1.5rem;
	}

	.micron-resources-items {
		grid-template-columns: repeat(3, 1fr);
	}
}

@media screen and (min-width: 769px) {

	.micron-resources-items {
		grid-template-columns: repeat(3, 1fr);
	}
}
